[Version]
LayoutFile=Layout.inf, Layout1.inf, Layout2.inf
signature="$CHICAGO$"
Class=Image
ClassGUID={6bdd1fc6-810f-11d0-bec7-08002be2092f}
Provider=%ToproMfg%
DriverVer=01/04/2007,1.05.0104
CatalogFile = tp6810.cat

[ControlFlags]
; All PnP devices should be excluded from manual AddDevice Applet list
ExcludeFromSelect=*

[Manufacturer]
%ToproMfg%=Topro,NT,NTx86,NTia64,NTamd64

[DestinationDirs]
DefaultDestDir = 10
Topro.Files.Ext = 10,system32\drivers
Topro.Files.Dll = 11
Topro.Files.TwainDS = 10,twain_32\topro
Topro.Files.TwainEXE = 10

[SourceDisksNames]
1=%DiskNameString%,,,""

[SourceDisksFiles]
TP6810.SYS=1
;TPCAMD.SYS=1
;amcap10.exe=1
CUSTPAGE10.AX=1
CamLib10.Dll=1
;tppoll10.exe=1
;capture10.exe=1
ToproDs10.ds=1
ToproUI10.exe=1
;TPSTI10.exe=1
;tp.img=1

[Topro]
%USB\VID_06A2&PID_0001.DeviceDesc%=Topro.USBDCam,USB\VID_06A2&PID_6810

[Topro.NT]
%USB\VID_06A2&PID_0001.DeviceDesc%=Topro.USBDCam.XP,USB\VID_06A2&PID_6810

[Topro.NTx86]
%USB\VID_06A2&PID_0001.DeviceDesc%=Topro.USBDCam.XP,USB\VID_06A2&PID_6810

[Topro.NTia64]
%USB\VID_06A2&PID_0001.DeviceDesc%=Topro.USBDCam.XP,USB\VID_06A2&PID_6810

[Topro.NTamd64]
%USB\VID_06A2&PID_0001.DeviceDesc%=Topro.USBDCam.XP,USB\VID_06A2&PID_6810

[Topro.USBDCam]
Include=    ks.inf, kscaptur.inf, ksfilter.inf
Needs=      KS.Registration,KSCAPTUR.Registration,MSPCLOCK.Installation
AddReg=     Topro.AddReg
;CopyFiles = Topro.Files.Ext, Topro.Files.Dll, Topro.Files.TwainDS, Topro.Files.TwainEXE

;SubClass=StillImage
;DeviceType=2
;DeviceSubtype=1
;;Capabilities=1
;Capabilities=5
;Events=Topro.StiEvents
;DeviceData=Topro.DeviceData
ICMProfiles="sRGB Color Space Profile.icm"
;;VendorSetup="SetupExt.dll,SetupEntryPoint PnPIDInformation"

[Topro.USBDCam.NT]
Include=    ks.inf, kscaptur.inf, ksfilter.inf
Needs=      KS.Registration,KSCAPTUR.Registration.NT, DSHOWEXT.Registration
AddReg=     Topro.AddReg
;DelReg=     Topro.DelReg
CopyFiles = Topro.Files.Ext, Topro.Files.Dll, Topro.Files.TwainDS, Topro.Files.TwainEXE

SubClass=StillImage
DeviceType=2
DeviceSubtype=1
;Capabilities=1
Capabilities=5
Events=Topro.StiEvents
DeviceData=Topro.DeviceData
ICMProfiles="sRGB Color Space Profile.icm"
;VendorSetup="SetupExt.dll,SetupEntryPoint PnPIDInformation"

[Topro.USBDCam.XP]
Include=    ks.inf, kscaptur.inf, ksfilter.inf
Needs=      KS.Registration,KSCAPTUR.Registration.NT, DSHOWEXT.Registration
AddReg=     Topro.AddReg, Topro.AddRegXP
;DelReg=     Topro.DelRegXP
CopyFiles = Topro.Files.Ext, Topro.Files.Dll, Topro.Files.TwainDS, Topro.Files.TwainEXE

SubClass=StillImage
DeviceType=3
DeviceSubtype=1
;Capabilities=1
Capabilities=0x00000031
;Capabilities=5
Events=Topro.StiEvents
DeviceData=Topro.DeviceData
ICMProfiles="sRGB Color Space Profile.icm"
;VendorSetup="SetupExt.dll,SetupEntryPoint PnPIDInformation"

[Topro.DeviceData]
TwainDS="Topro USB PC Camera"

[Topro.AddReg]
HKR,,DevLoader,,*ntkern
HKR,,NTMPDriver,,TP6810.sys
;HKR,,OkToHibernate,"3",01
HKR,,SensorID,0x10001,5
HKR,,CustomerID,0x10001,3
HKR,,PreviewWidth,0x10001,320
;HKR,,PageOutWhenUnopened,"3",01
;HKR,,PowerDownWhenUnopened,"3",01
;HKR,,DontSuspendIfStreamsAreRunning,"3",01

;;-------------------------------------------------------------------
; For Common Used
;--------------------------------------------------------------------
HKLM,Software\Topro\TP6810,"SensorID",0x10001,1
HKLM,Software\Topro\TP6810,"DeviceReady",0x10001,0
HKLM,Software\Topro\TP6810,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810,"SensorResolution",0x10001,0
HKLM,Software\Topro\TP6810,"VGAFrameRate",0x10001,20

HKLM,Software\Topro\TP6810,"FrameFilterIndex",0x10001,0
HKLM,Software\Topro\TP6810,"EffectFilterIndex",0x10001,0
HKLM,Software\Topro\TP6810,"Frequency",0x10001,1
HKLM,Software\Topro\TP6810,"DefaultFrequency",0x10001,0
HKLM,Software\Topro\TP6810,"MotionPos",0x10001,0
HKLM,Software\Topro\TP6810,"SwMotion",0x10001,0
HKLM,Software\Topro\TP6810,"TWAINRunning",0x10001,0
HKLM,Software\Topro\TP6810\TOPROCAP,"APName",0,"TP6810"
HKLM,Software\Topro\TP6810\TOPROCAP,"DeviceName",0,%USB\VID_06A2&PID_0001.DeviceDesc%
HKLM,Software\Topro\TP6810\TOPROCAP,"PreviewWidth",0,"320"
HKLM,Software\Topro\TP6810\TOPROCAP,"PreviewHeight",0,"240"
HKLM,Software\Topro\TP6810\TOPROCAP,"WantPreview",,"1"
HKLM,Software\Topro\TP6810\TOPROCAP,"UseFrameRate",,"0"


HKLM,Software\Topro\TP6810\TOPROCAP,"EdgeAdaptive",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"EdgeUVFun",,"1"
HKLM,Software\Topro\TP6810\TOPROCAP,"EraseUV",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"EdgeSense",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"LargeYSharp",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"LPFSense",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"PostSharpYLPF",,"4"
HKLM,Software\Topro\TP6810\TOPROCAP,"PreSharpYLPF",,"3"
HKLM,Software\Topro\TP6810\TOPROCAP,"SharpNeg",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"SharpPos",,"127"
HKLM,Software\Topro\TP6810\TOPROCAP,"SharpStrength",,"4"
HKLM,Software\Topro\TP6810\TOPROCAP,"SharpSense",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"UVLPF",,"1"
HKLM,Software\Topro\TP6810\TOPROCAP,"UVLPFStrength",,"7"
HKLM,Software\Topro\TP6810\TOPROCAP,"YEdgeThrld",,"14"
HKLM,Software\Topro\TP6810\TOPROCAP,"YGamma",,"0"
HKLM,Software\Topro\TP6810\TOPROCAP,"YSharpHPF",,"1"
HKLM,Software\Topro\TP6810\TOPROCAP,"YSharpLPF",,"2"
;;-------------------------------------------------------------------
;;	SONY_CCD  SensorID = 1
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\1,"SensorType",0,"SONYCCD"
HKLM,Software\Topro\TP6810\1,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\1,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\1,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\1,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\1,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\1,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\1,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\1,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\1,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\1,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\1,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\1,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\1,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\1,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\1,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\1,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\1,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\1,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\1,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\1,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\1,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\1,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\1,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\1,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\1,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\1,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\1,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\1,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\1,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\1,"MaxContrast",0x10001,1
;HKLM,Software\Topro\TP6810\1,"LowLightControl",0x10001,1
;HKLM,Software\Topro\TP6810\1,"LowLightFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\1,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\1,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\1,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\1,"FlipVertical",0x10001,0
;HKLM,Software\Topro\TP6810\1,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810\1,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\1,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\1,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\1,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\1,"GainCompensation",0x10001,0

HKLM,Software\Topro\TP6810\1,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\1,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\1,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\1,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\1,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\1,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\1,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\1,"AWBFactor2",0x10001,0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Sharp_CCD
;HKLM,Software\Topro\TP6810\1,"GammaR",0,"298"
;HKLM,Software\Topro\TP6810\1,"GammaG",0,"193"
;HKLM,Software\Topro\TP6810\1,"GammaB",0,"229"
;HKLM,Software\Topro\TP6810\1,"GammaContrast",0,"25"
;HKLM,Software\Topro\TP6810\1,"GammaBrightness",0,"-13"
;HKLM,Software\Topro\TP6810\1,"DefaultGammaR",0,"298"
;HKLM,Software\Topro\TP6810\1,"DefaultGammaG",0,"193"
;HKLM,Software\Topro\TP6810\1,"DefaultGammaB",0,"229"
;HKLM,Software\Topro\TP6810\1,"DefaultGammaContrast",0,"25"
;HKLM,Software\Topro\TP6810\1,"DefaultGammaBrightness",0,"-13"
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Sony_CCD
HKLM,Software\Topro\TP6810\1,"GammaR",0,"226"
HKLM,Software\Topro\TP6810\1,"GammaG",0,"199"
HKLM,Software\Topro\TP6810\1,"GammaB",0,"242"
HKLM,Software\Topro\TP6810\1,"GammaContrast",0,"22"
HKLM,Software\Topro\TP6810\1,"GammaBrightness",0,"-11"
HKLM,Software\Topro\TP6810\1,"DefaultGammaR",0,"226"
HKLM,Software\Topro\TP6810\1,"DefaultGammaG",0,"199"
HKLM,Software\Topro\TP6810\1,"DefaultGammaB",0,"242"
HKLM,Software\Topro\TP6810\1,"DefaultGammaContrast",0,"22"
HKLM,Software\Topro\TP6810\1,"DefaultGammaBrightness",0,"-11"

;;-------------------------------------------------------------------
;;      TAS_5130 = 2
;;-------------------------------------------------------------------

;HKLM,Software\Topro\TP6810\2,"SensorResolution",0x10001,0
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\2,"SensorType",0,"TAS_5130B1"
HKLM,Software\Topro\TP6810\2,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\2,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\2,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\2,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\2,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\2,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\2,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\2,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\2,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\2,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\2,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\2,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\2,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\2,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\2,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\2,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\2,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\2,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\2,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\2,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\2,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\2,"Exposure",0x10001,20
HKLM,Software\Topro\TP6810\2,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\2,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\2,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\2,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\2,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\2,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\2,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\2,"MaxContrast",0x10001,1
;HKLM,Software\Topro\TP6810\2,"LowLightControl",0x10001,1
;HKLM,Software\Topro\TP6810\2,"LowLightFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\2,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\2,"AEThreshold",0x10001,4
HKLM,Software\Topro\TP6810\2,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\2,"FlipVertical",0x10001,0
;HKLM,Software\Topro\TP6810\2,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810\2,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\2,"DefaultBackLightCompensation",0x10001,0

HKLM,Software\Topro\TP6810\2,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\2,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\2,"GainCompensation",0x10001,5

HKLM,Software\Topro\TP6810\2,"CurrentExposure",0x10001,20
HKLM,Software\Topro\TP6810\2,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\2,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\2,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\2,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\2,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\2,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\2,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\2,"GammaR",0,"226"
HKLM,Software\Topro\TP6810\2,"GammaG",0,"230"
HKLM,Software\Topro\TP6810\2,"GammaB",0,"275"
HKLM,Software\Topro\TP6810\2,"GammaContrast",0,"19"
HKLM,Software\Topro\TP6810\2,"GammaBrightness",0,"-29"
HKLM,Software\Topro\TP6810\2,"DefaultGammaR",0,"226"
HKLM,Software\Topro\TP6810\2,"DefaultGammaG",0,"230"
HKLM,Software\Topro\TP6810\2,"DefaultGammaB",0,"275"
HKLM,Software\Topro\TP6810\2,"DefaultGammaContrast",0,"19"
HKLM,Software\Topro\TP6810\2,"DefaultGammaBrightness",0,"-29"

;;-------------------------------------------------------------------
;;      HYUNDAI_7131R1 = 3
;;-------------------------------------------------------------------

;HKLM,Software\Topro\TP6810\3,"SensorResolution",0x10001,0
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\3,"SensorType",0,"HV7131R1"
HKLM,Software\Topro\TP6810\3,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\3,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\3,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\3,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\3,"Sharpness",0x10001,40
HKLM,Software\Topro\TP6810\3,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\3,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\3,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\3,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\3,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\3,"DefaultSharpness",0x10001,40
HKLM,Software\Topro\TP6810\3,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\3,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\3,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\3,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\3,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\3,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\3,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\3,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\3,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\3,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\3,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\3,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\3,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\3,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\3,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\3,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\3,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\3,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\3,"MaxContrast",0x10001,1
;HKLM,Software\Topro\TP6810\3,"LowLightControl",0x10001,1
;HKLM,Software\Topro\TP6810\3,"LowLightFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\3,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\3,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\3,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\3,"FlipVertical",0x10001,0
;HKLM,Software\Topro\TP6810\3,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810\3,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\3,"DefaultBackLightCompensation",0x10001,0

HKLM,Software\Topro\TP6810\3,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\3,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\3,"GainCompensation",0x10001,5

HKLM,Software\Topro\TP6810\3,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\3,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\3,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\3,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\3,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\3,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\3,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\3,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\3,"GammaR",0,"269"
HKLM,Software\Topro\TP6810\3,"GammaG",0,"212"
HKLM,Software\Topro\TP6810\3,"GammaB",0,"232"
HKLM,Software\Topro\TP6810\3,"GammaContrast",0,"11"
HKLM,Software\Topro\TP6810\3,"GammaBrightness",0,"-25"
HKLM,Software\Topro\TP6810\3,"DefaultGammaR",0,"269"
HKLM,Software\Topro\TP6810\3,"DefaultGammaG",0,"212"
HKLM,Software\Topro\TP6810\3,"DefaultGammaB",0,"232"
HKLM,Software\Topro\TP6810\3,"DefaultGammaContrast",0,"11"
HKLM,Software\Topro\TP6810\3,"DefaultGammaBrightness",0,"-25"

;;-------------------------------------------------------------------
;	MICRON MT9V011 = 4
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\4,"SensorType",0,"MT9V011"
;HKLM,Software\Topro\TP6810\4,"SensorResolution",0x10001,0

HKLM,Software\Topro\TP6810\4,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\4,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\4,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\4,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\4,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\4,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\4,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\4,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\4,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\4,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\4,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\4,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\4,"VGAFrameRate",0x10001,30
HKLM,Software\Topro\TP6810\4,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\4,"FrameSizeOffset",0x10001,14
HKLM,Software\Topro\TP6810\4,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\4,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\4,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\4,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\4,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\4,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\4,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\4,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\4,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\4,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\4,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\4,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\4,"GammaIndex",0x10001,4
HKLM,Software\Topro\TP6810\4,"Frequency",0x10001,1
HKLM,Software\Topro\TP6810\4,"DefaultFrequency",0x10001,1
HKLM,Software\Topro\TP6810\4,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\4,"MaxContrast",0x10001,1
HKLM,Software\Topro\TP6810\4,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\4,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\4,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\4,"FlipVertical",0x10001,0

HKLM,Software\Topro\TP6810\4,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\4,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\4,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\4,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\4,"GainCompensation",0x10001,25

HKLM,Software\Topro\TP6810\4,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\4,"CurrentGain",0x10001,1
HKLM,Software\Topro\TP6810\4,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\4,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\4,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\4,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\4,"AWBFactor2",0x10001,0


HKLM,Software\Topro\TP6810\4,"GammaR",0,"249"
HKLM,Software\Topro\TP6810\4,"GammaG",0,"206"
HKLM,Software\Topro\TP6810\4,"GammaB",0,"262"
HKLM,Software\Topro\TP6810\4,"GammaContrast",0,"17"
HKLM,Software\Topro\TP6810\4,"GammaBrightness",0,"3"
HKLM,Software\Topro\TP6810\4,"DefaultGammaR",0,"249"
HKLM,Software\Topro\TP6810\4,"DefaultGammaG",0,"206"
HKLM,Software\Topro\TP6810\4,"DefaultGammaB",0,"262"
HKLM,Software\Topro\TP6810\4,"DefaultGammaContrast",0,"17"
HKLM,Software\Topro\TP6810\4,"DefaultGammaBrightness",0,"3"
;;-------------------------------------------------------------------
;	SOI763A(7648) = 5
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\5,"SensorType",0,"SOI7648"
;HKLM,Software\Topro\TP6810\5,"SensorResolution",0x10001,0

HKLM,Software\Topro\TP6810\5,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\5,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\5,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\5,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\5,"Sharpness",0x10001,26
HKLM,Software\Topro\TP6810\5,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\5,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\5,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\5,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\5,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\5,"DefaultSharpness",0x10001,26
HKLM,Software\Topro\TP6810\5,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\5,"VGAFrameRate",0x10001,30
HKLM,Software\Topro\TP6810\5,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\5,"FrameSizeOffset",0x10001,14
HKLM,Software\Topro\TP6810\5,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\5,"AEStableCount",0x10001,1
HKLM,Software\Topro\TP6810\5,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\5,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\5,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\5,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\5,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\5,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\5,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\5,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\5,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\5,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\5,"GammaIndex",0x10001,4
HKLM,Software\Topro\TP6810\5,"Frequency",0x10001,1
HKLM,Software\Topro\TP6810\5,"DefaultFrequency",0x10001,1
HKLM,Software\Topro\TP6810\5,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\5,"MaxContrast",0x10001,1
HKLM,Software\Topro\TP6810\5,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\5,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\5,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\5,"FlipVertical",0x10001,0

HKLM,Software\Topro\TP6810\5,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\5,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\5,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\5,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\5,"GainCompensation",0x10001,25

HKLM,Software\Topro\TP6810\5,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\5,"CurrentGain",0x10001,1
HKLM,Software\Topro\TP6810\5,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\5,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\5,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\5,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\5,"AWBFactor2",0x10001,0


HKLM,Software\Topro\TP6810\5,"GammaR",0,"226"
HKLM,Software\Topro\TP6810\5,"GammaG",0,"222"
HKLM,Software\Topro\TP6810\5,"GammaB",0,"209"
HKLM,Software\Topro\TP6810\5,"GammaContrast",0,"23"
HKLM,Software\Topro\TP6810\5,"GammaBrightness",0,"-67"
HKLM,Software\Topro\TP6810\5,"GammaMultiply",0,"93"
HKLM,Software\Topro\TP6810\5,"GammaOffset",0,"-11"
HKLM,Software\Topro\TP6810\5,"DefaultGammaR",0,"226"
HKLM,Software\Topro\TP6810\5,"DefaultGammaG",0,"222"
HKLM,Software\Topro\TP6810\5,"DefaultGammaB",0,"209"
HKLM,Software\Topro\TP6810\5,"DefaultGammaContrast",0,"23"
HKLM,Software\Topro\TP6810\5,"DefaultGammaBrightness",0,"-67"

;;-------------------------------------------------------------------
;	SPECTEK V0AA11 6
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\6,"SensorType",0,"V0AA11"
;HKLM,Software\Topro\TP6810\6,"SensorResolution",0x10001,0

HKLM,Software\Topro\TP6810\6,"Brightness",0x10001,68
HKLM,Software\Topro\TP6810\6,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\6,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\6,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\6,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\6,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\6,"DefaultBrightness",0x10001,68
HKLM,Software\Topro\TP6810\6,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\6,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\6,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\6,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\6,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\6,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\6,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\6,"FrameSizeOffset",0x10001,14
HKLM,Software\Topro\TP6810\6,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\6,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\6,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\6,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\6,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\6,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\6,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\6,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\6,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\6,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\6,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\6,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\6,"GammaIndex",0x10001,4
HKLM,Software\Topro\TP6810\6,"Frequency",0x10001,1
HKLM,Software\Topro\TP6810\6,"DefaultFrequency",0x10001,1
HKLM,Software\Topro\TP6810\6,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\6,"MaxContrast",0x10001,1

HKLM,Software\Topro\TP6810\6,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\6,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\6,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\6,"FlipVertical",0x10001,0

HKLM,Software\Topro\TP6810\6,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\6,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\6,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\6,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\6,"GainCompensation",0x10001,25

HKLM,Software\Topro\TP6810\6,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\6,"CurrentGain",0x10001,1

HKLM,Software\Topro\TP6810\6,"SkipBadFrame",0x10001,0
HKLM,Software\Topro\TP6810\6,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\6,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\6,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\6,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\6,"GammaR",0,"247"
HKLM,Software\Topro\TP6810\6,"GammaG",0,"212"
HKLM,Software\Topro\TP6810\6,"GammaB",0,"232"
HKLM,Software\Topro\TP6810\6,"GammaContrast",0,"23"
HKLM,Software\Topro\TP6810\6,"GammaBrightness",0,"-25"
HKLM,Software\Topro\TP6810\6,"DefaultGammaR",0,"247"
HKLM,Software\Topro\TP6810\6,"DefaultGammaG",0,"212"
HKLM,Software\Topro\TP6810\6,"DefaultGammaB",0,"232"
HKLM,Software\Topro\TP6810\6,"DefaultGammaContrast",0,"23"
HKLM,Software\Topro\TP6810\6,"DefaultGammaBrightness",0,"-25"

HKLM,Software\Topro\TP6810\6,"AutoLight",0x10001,1
HKLM,Software\Topro\TP6810\6,"Light",0x10001,0
;-------------------------------------------------------------------------------------------
;PIXELPLUS PO1030  7
;-------------------------------------------------------------------------------------------
HKLM,Software\Topro\TP6810\7,"SensorType",0,"PO1030"
HKLM,Software\Topro\TP6810\7,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\7,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\7,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\7,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\7,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\7,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\7,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\7,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\7,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\7,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\7,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\7,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\7,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\7,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\7,"FrameSizeOffset",0x10001,12
HKLM,Software\Topro\TP6810\7,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\7,"AEStableCount",0x10001,1
HKLM,Software\Topro\TP6810\7,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\7,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\7,"AwbB",0x10001,50


HKLM,Software\Topro\TP6810\7,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\7,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\7,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\7,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\7,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\7,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\7,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\7,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\7,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\7,"MaxContrast",0x10001,1
HKLM,Software\Topro\TP6810\7,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\7,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\7,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\7,"FlipVertical",0x10001,0
HKLM,Software\Topro\TP6810\7,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810\7,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\7,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\7,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\7,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\7,"GainCompensation",0x10001,25

HKLM,Software\Topro\TP6810\7,"DeviceReady",0x10001,0
HKLM,Software\Topro\TP6810\7,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\7,"CurrentGain",0x10001,1
HKLM,Software\Topro\TP6810\7,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\7,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\7,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\7,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\7,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\7,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\7,"GammaR",0,"255"
HKLM,Software\Topro\TP6810\7,"GammaG",0,"212"
HKLM,Software\Topro\TP6810\7,"GammaB",0,"232"
HKLM,Software\Topro\TP6810\7,"GammaContrast",0,"13"
HKLM,Software\Topro\TP6810\7,"GammaBrightness",0,"-34"
HKLM,Software\Topro\TP6810\7,"DefaultGammaR",0,"255"
HKLM,Software\Topro\TP6810\7,"DefaultGammaG",0,"212"
HKLM,Software\Topro\TP6810\7,"DefaultGammaB",0,"232"
HKLM,Software\Topro\TP6810\7,"DefaultGammaContrast",0,"13"
HKLM,Software\Topro\TP6810\7,"DefaultGammaBrightness",0,"-34"

;;-------------------------------------------------------------------
;;      MOBIEN_MO4000
;;-------------------------------------------------------------------

;HKLM,Software\Topro\TP6810\8,"SensorResolution",0x10001,0
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\8,"SensorType",0,"MO4000"
HKLM,Software\Topro\TP6810\8,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\8,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\8,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\8,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\8,"Sharpness",0x10001,26
HKLM,Software\Topro\TP6810\8,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\8,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\8,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\8,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\8,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\8,"DefaultSharpness",0x10001,26
HKLM,Software\Topro\TP6810\8,"DefaultGamma",0x10001,10

HKLM,Software\Topro\TP6810\8,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\8,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\8,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\8,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\8,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\8,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\8,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\8,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\8,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\8,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\8,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\8,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\8,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\8,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\8,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\8,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\8,"MaxContrast",0x10001,1
HKLM,Software\Topro\TP6810\8,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\8,"AEThreshold",0x10001,4
HKLM,Software\Topro\TP6810\8,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\8,"FlipVertical",0x10001,0

HKLM,Software\Topro\TP6810\8,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\8,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\8,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\8,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\8,"GainCompensation",0x10001,25
HKLM,Software\Topro\TP6810\8,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\8,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\8,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\8,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\8,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\8,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\8,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\8,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\8,"GammaR",0,"206"
HKLM,Software\Topro\TP6810\8,"GammaG",0,"212"
HKLM,Software\Topro\TP6810\8,"GammaB",0,"269"
HKLM,Software\Topro\TP6810\8,"GammaContrast",0,"17"
HKLM,Software\Topro\TP6810\8,"GammaBrightness",0,"-25"
HKLM,Software\Topro\TP6810\8,"DefaultGammaR",0,"206"
HKLM,Software\Topro\TP6810\8,"DefaultGammaG",0,"212"
HKLM,Software\Topro\TP6810\8,"DefaultGammaB",0,"269"
HKLM,Software\Topro\TP6810\8,"DefaultGammaContrast",0,"17"
HKLM,Software\Topro\TP6810\8,"DefaultGammaBrightness",0,"-25"

;;-------------------------------------------------------------------
;;      EVS_350A
;;-------------------------------------------------------------------

;HKLM,Software\Topro\TP6810\9,"SensorResolution",0x10001,0
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\9,"SensorType",0,"EVS_350A"
HKLM,Software\Topro\TP6810\9,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\9,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\9,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\9,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\9,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\9,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\9,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\9,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\9,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\9,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\9,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\9,"DefaultGamma",0x10001,10

HKLM,Software\Topro\TP6810\9,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\9,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\9,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\9,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\9,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\9,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\9,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\9,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\9,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\9,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\9,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\9,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\9,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\9,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\9,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\9,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\9,"MaxContrast",0x10001,1
HKLM,Software\Topro\TP6810\9,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\9,"AEThreshold",0x10001,6
HKLM,Software\Topro\TP6810\9,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\9,"FlipVertical",0x10001,0

HKLM,Software\Topro\TP6810\9,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\9,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\9,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\9,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\9,"GainCompensation",0x10001,25

HKLM,Software\Topro\TP6810\9,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\9,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\9,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\9,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\9,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\9,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\9,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\9,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\9,"GammaR",0,"255"
HKLM,Software\Topro\TP6810\9,"GammaG",0,"232"
HKLM,Software\Topro\TP6810\9,"GammaB",0,"242"
HKLM,Software\Topro\TP6810\9,"GammaContrast",0,"11"
HKLM,Software\Topro\TP6810\9,"GammaBrightness",0,"-25"
HKLM,Software\Topro\TP6810\9,"DefaultGammaR",0,"255"
HKLM,Software\Topro\TP6810\9,"DefaultGammaG",0,"232"
HKLM,Software\Topro\TP6810\9,"DefaultGammaB",0,"242"
HKLM,Software\Topro\TP6810\9,"DefaultGammaContrast",0,"11"
HKLM,Software\Topro\TP6810\9,"DefaultGammaBrightness",0,"-25"
;;-------------------------------------------------------------------
;;      TAS_5130A1D = 10
;;-------------------------------------------------------------------

;HKLM,Software\Topro\TP6810\10,"SensorResolution",0x10001,0
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\10,"SensorType",0,"TAS_5130B1"
HKLM,Software\Topro\TP6810\10,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\10,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\10,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\10,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\10,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\10,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\10,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\10,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\10,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\10,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\10,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\10,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\10,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\10,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\10,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\10,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\10,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\10,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\10,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\10,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\10,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\10,"Exposure",0x10001,20
HKLM,Software\Topro\TP6810\10,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\10,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\10,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\10,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\10,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\10,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\10,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\10,"MaxContrast",0x10001,1
;HKLM,Software\Topro\TP6810\10,"LowLightControl",0x10001,1
;HKLM,Software\Topro\TP6810\10,"LowLightFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\10,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\10,"AEThreshold",0x10001,4
HKLM,Software\Topro\TP6810\10,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\10,"FlipVertical",0x10001,0
;HKLM,Software\Topro\TP6810\10,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810\10,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\10,"DefaultBackLightCompensation",0x10001,0

HKLM,Software\Topro\TP6810\10,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\10,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\10,"GainCompensation",0x10001,5

HKLM,Software\Topro\TP6810\10,"CurrentExposure",0x10001,20
HKLM,Software\Topro\TP6810\10,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\10,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\10,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\10,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\10,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\10,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\10,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\10,"GammaR",0,"226"
HKLM,Software\Topro\TP6810\10,"GammaG",0,"230"
HKLM,Software\Topro\TP6810\10,"GammaB",0,"275"
HKLM,Software\Topro\TP6810\10,"GammaContrast",0,"19"
HKLM,Software\Topro\TP6810\10,"GammaBrightness",0,"-29"
HKLM,Software\Topro\TP6810\10,"DefaultGammaR",0,"226"
HKLM,Software\Topro\TP6810\10,"DefaultGammaG",0,"230"
HKLM,Software\Topro\TP6810\10,"DefaultGammaB",0,"275"
HKLM,Software\Topro\TP6810\10,"DefaultGammaContrast",0,"19"
HKLM,Software\Topro\TP6810\10,"DefaultGammaBrightness",0,"-29"

;;-------------------------------------------------------------------
;;      CMOX_CX0342 = 12
;;-------------------------------------------------------------------

;HKLM,Software\Topro\TP6810\12,"SensorResolution",0x10001,0
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\12,"SensorType",0,"CMOX_CX0342"
HKLM,Software\Topro\TP6810\12,"Brightness",0x10001,50
HKLM,Software\Topro\TP6810\12,"Contrast",0x10001,50
HKLM,Software\Topro\TP6810\12,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\12,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\12,"Sharpness",0x10001,65
HKLM,Software\Topro\TP6810\12,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\12,"DefaultBrightness",0x10001,50
HKLM,Software\Topro\TP6810\12,"DefaultContrast",0x10001,50
HKLM,Software\Topro\TP6810\12,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\12,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\12,"DefaultSharpness",0x10001,65
HKLM,Software\Topro\TP6810\12,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\12,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\12,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\12,"FrameSizeOffset",0x10001,7
HKLM,Software\Topro\TP6810\12,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\12,"AEStableCount",0x10001,1
HKLM,Software\Topro\TP6810\12,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\12,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\12,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\12,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\12,"Exposure",0x10001,20
HKLM,Software\Topro\TP6810\12,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\12,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\12,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\12,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\12,"AutoImageQuality",0x10001,0
HKLM,Software\Topro\TP6810\12,"GammaIndex",0x10001,4

HKLM,Software\Topro\TP6810\12,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\12,"MaxContrast",0x10001,1
;HKLM,Software\Topro\TP6810\12,"LowLightControl",0x10001,1
;HKLM,Software\Topro\TP6810\12,"LowLightFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\12,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\12,"AEThreshold",0x10001,4
HKLM,Software\Topro\TP6810\12,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\12,"FlipVertical",0x10001,0
;HKLM,Software\Topro\TP6810\12,"DesignInTool",0x10001,0
HKLM,Software\Topro\TP6810\12,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\12,"DefaultBackLightCompensation",0x10001,0

HKLM,Software\Topro\TP6810\12,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\12,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\12,"GainCompensation",0x10001,5

HKLM,Software\Topro\TP6810\12,"CurrentExposure",0x10001,20
HKLM,Software\Topro\TP6810\12,"CurrentGain",0x10001,1
;HKLM,Software\Topro\TP6810\12,"AutodetectSensor",0x10001,0
HKLM,Software\Topro\TP6810\12,"SkipBadFrame",0x10001,1
HKLM,Software\Topro\TP6810\12,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\12,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\12,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\12,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\12,"GammaR",0,"212"
HKLM,Software\Topro\TP6810\12,"GammaG",0,"183"
HKLM,Software\Topro\TP6810\12,"GammaB",0,"226"
HKLM,Software\Topro\TP6810\12,"GammaContrast",0,"15"
HKLM,Software\Topro\TP6810\12,"GammaBrightness",0,"-6"
HKLM,Software\Topro\TP6810\12,"DefaultGammaR",0,"212"
HKLM,Software\Topro\TP6810\12,"DefaultGammaG",0,"183"
HKLM,Software\Topro\TP6810\12,"DefaultGammaB",0,"226"
HKLM,Software\Topro\TP6810\12,"DefaultGammaContrast",0,"15"
HKLM,Software\Topro\TP6810\12,"DefaultGammaBrightness",0,"-6"

HKLM,Software\Topro\TP6810\12,"AutoLight",0x10001,1
HKLM,Software\Topro\TP6810\12,"Light",0x10001,0
;;-------------------------------------------------------------------
;	SPECTEK V0AA11 6
;;-------------------------------------------------------------------
;;      0:VGA  2:CIF
;;-------------------------------------------------------------------
HKLM,Software\Topro\TP6810\13,"SensorType",0,"V0AA11"
;HKLM,Software\Topro\TP6810\13,"SensorResolution",0x10001,0

HKLM,Software\Topro\TP6810\13,"Brightness",0x10001,58
HKLM,Software\Topro\TP6810\13,"Contrast",0x10001,61
HKLM,Software\Topro\TP6810\13,"Hue",0x10001,50
HKLM,Software\Topro\TP6810\13,"Saturation",0x10001,50
HKLM,Software\Topro\TP6810\13,"Sharpness",0x10001,52
HKLM,Software\Topro\TP6810\13,"Gamma",0x10001,10
HKLM,Software\Topro\TP6810\13,"DefaultBrightness",0x10001,58
HKLM,Software\Topro\TP6810\13,"DefaultContrast",0x10001,61
HKLM,Software\Topro\TP6810\13,"DefaultHue",0x10001,50
HKLM,Software\Topro\TP6810\13,"DefaultSaturation",0x10001,50
HKLM,Software\Topro\TP6810\13,"DefaultSharpness",0x10001,52
HKLM,Software\Topro\TP6810\13,"DefaultGamma",0x10001,10

;HKLM,Software\Topro\TP6810\13,"VGAFrameRate",0x10001,20
HKLM,Software\Topro\TP6810\13,"EdgeThreshold",0x10001,0x10
HKLM,Software\Topro\TP6810\13,"FrameSizeOffset",0x10001,14
HKLM,Software\Topro\TP6810\13,"ShowFrameRate",0x10001,0
HKLM,Software\Topro\TP6810\13,"AEStableCount",0x10001,2
HKLM,Software\Topro\TP6810\13,"AwbR",0x10001,50
HKLM,Software\Topro\TP6810\13,"AwbG",0x10001,50
HKLM,Software\Topro\TP6810\13,"AwbB",0x10001,50

HKLM,Software\Topro\TP6810\13,"WhiteBalance",0x10001,6500
HKLM,Software\Topro\TP6810\13,"Exposure",0x10001,40
HKLM,Software\Topro\TP6810\13,"NightExposure",0x10001,1
HKLM,Software\Topro\TP6810\13,"AutoWhiteBalance",0x10001,1
HKLM,Software\Topro\TP6810\13,"AutoExposure",0x10001,1
HKLM,Software\Topro\TP6810\13,"ImageQuality",0x10001,8
HKLM,Software\Topro\TP6810\13,"AutoImageQuality",0x10001,1
HKLM,Software\Topro\TP6810\13,"GammaIndex",0x10001,4
HKLM,Software\Topro\TP6810\13,"Frequency",0x10001,1
HKLM,Software\Topro\TP6810\13,"DefaultFrequency",0x10001,1
HKLM,Software\Topro\TP6810\13,"WBMode",0x10001,2
HKLM,Software\Topro\TP6810\13,"MaxContrast",0x10001,1

HKLM,Software\Topro\TP6810\13,"WBAdjust",0x10001,0
HKLM,Software\Topro\TP6810\13,"AEThreshold",0x10001,5
HKLM,Software\Topro\TP6810\13,"FlipHorizontal",0x10001,0
HKLM,Software\Topro\TP6810\13,"FlipVertical",0x10001,0

HKLM,Software\Topro\TP6810\13,"BackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\13,"DefaultBackLightCompensation",0x10001,0
HKLM,Software\Topro\TP6810\13,"LowLightGain",0x10001,0
HKLM,Software\Topro\TP6810\13,"MinFrameRate",0x10001,5
HKLM,Software\Topro\TP6810\13,"GainCompensation",0x10001,25

HKLM,Software\Topro\TP6810\13,"CurrentExposure",0x10001,31
HKLM,Software\Topro\TP6810\13,"CurrentGain",0x10001,1

HKLM,Software\Topro\TP6810\13,"SkipBadFrame",0x10001,0
HKLM,Software\Topro\TP6810\13,"BacklightOffset",0x10001,30
HKLM,Software\Topro\TP6810\13,"AWBFactor0",0x10001,0
HKLM,Software\Topro\TP6810\13,"AWBFactor1",0x10001,0
HKLM,Software\Topro\TP6810\13,"AWBFactor2",0x10001,0

HKLM,Software\Topro\TP6810\13,"GammaR",0,"247"
HKLM,Software\Topro\TP6810\13,"GammaG",0,"212"
HKLM,Software\Topro\TP6810\13,"GammaB",0,"232"
HKLM,Software\Topro\TP6810\13,"GammaContrast",0,"23"
HKLM,Software\Topro\TP6810\13,"GammaBrightness",0,"-25"
HKLM,Software\Topro\TP6810\13,"DefaultGammaR",0,"247"
HKLM,Software\Topro\TP6810\13,"DefaultGammaG",0,"212"
HKLM,Software\Topro\TP6810\13,"DefaultGammaB",0,"232"
HKLM,Software\Topro\TP6810\13,"DefaultGammaContrast",0,"23"
HKLM,Software\Topro\TP6810\13,"DefaultGammaBrightness",0,"-25"

;;---------- update NetMeeting settings ------------------
HKR,Software\Microsoft\Conferencing\CaptureDevices\%USB\VID_06A2&PID_0001.DeviceDesc%,"dwImageSize",0x10001,0x80400440
HKR,Software\Microsoft\Conferencing\CaptureDevices\%USB\VID_06A2&PID_0001.DeviceDesc%,"dwNumColors",0x10001,0x00000008
HKR,Software\Microsoft\Conferencing\CaptureDevices\%USB\VID_06A2&PID_0001.DeviceDesc%,"dwStreamingMode",0x10001,0x00000001
HKR,Software\Microsoft\Conferencing\CaptureDevices\%USB\VID_06A2&PID_0001.DeviceDesc%,"dwDialogs",0x10001,0x00000002
HKR,Software\Microsoft\Conferencing\CaptureDefaultFormats\%USB\VID_06A2&PID_0001.DeviceDesc%,"DefaultFormat",0,"RGB, 640x480x24"


;;---------- TP6810 property page ----------
HKLM,System\CurrentControlSet\Control\MediaSets\{DCE2CCC3-9F6C-4d05-BE5E-8BCFBF4D24D8}\PropertyPages\{C4B5168B-FA0C-4fbf-8AFB-AD552B63AA73},,,"TP6810 Property Page"
HKCR,CLSID\{C4B5168B-FA0C-4fbf-8AFB-AD552B63AA73}\InprocServer32,,,"%10%\system32\drivers\CUSTPAGE10.AX"
HKCR,CLSID\{C4B5168B-FA0C-4fbf-8AFB-AD552B63AA73}\InprocServer32,"ThreadingModel",,"Both"

HKCR,Wow6432Node\CLSID\{C4B5168B-FA0C-4fbf-8AFB-AD552B63AA73}\InprocServer32,,,CUSTPAGE10.AX
HKCR,Wow6432Node\CLSID\{C4B5168B-FA0C-4fbf-8AFB-AD552B63AA73}\InprocServer32,"ThreadingModel",,"Both"

;;HKLM,System\CurrentControlSet\Control\MediaSets\{DCE2CCC3-9F6C-4d05-BE5E-8BCFBF4D24D8}\PropertyPages\{DB46F2AF-4F34-48bf-A75E-E22396B7FB4D},,,"TP6810 Effect Page"
;;HKCR,CLSID\{DB46F2AF-4F34-48bf-A75E-E22396B7FB4D}\InprocServer32,,,"%10%\system32\drivers\CUSTPAGE10.AX"
;;HKCR,CLSID\{DB46F2AF-4F34-48bf-A75E-E22396B7FB4D}\InprocServer32,"ThreadingModel",,"Both"

;;HKCR,Wow6432Node\CLSID\{DB46F2AF-4F34-48bf-A75E-E22396B7FB4D}\InprocServer32,,,CUSTPAGE10.AX
;;HKCR,Wow6432Node\CLSID\{DB46F2AF-4F34-48bf-A75E-E22396B7FB4D}\InprocServer32,"ThreadingModel",,"Both"

;;---------- System property page ----------
;HKR,System\CurrentControlSet\Control\MediaSets\{C6E13360-30AC-11D0-A18C-00A0C9118956}\PropertyPages\{71F96464-78F3-11D0-A18C-00A0C9118956},,,
HKR,System\CurrentControlSet\Control\MediaSets\{C6E13370-30AC-11D0-A18C-00A0C9118956}\PropertyPages\{71F96465-78F3-11D0-A18C-00A0C9118956}


HKR,,CreateFileName,,%CreateDeviceNameString%


[Topro.AddReg]
HKR,System\CurrentControlSet\Control\MediaSets\{C6E13360-30AC-11D0-A18C-00A0C9118956}\PropertyPages\{71F96464-78F3-11D0-A18C-00A0C9118956}
;HKR,Software\Microsoft\Windows\CurrentVersion\Run,"tppoll10",,%24%\Program Files\Topcom\Mediakit200\tppoll10.exe

[Topro.AddRegXP]
;WIA default driver
HKR,,USDClass,,"{0527d1d0-88c2-11d2-82c7-00c04f8ec183}"
;HKR,Software\Microsoft\Windows\CurrentVersion\Run,"tppoll10",,%24%\Program Files\Topcom\Mediakit200\tppoll10.exe

[Topro.StiEvents]
OpenApp="%OpenAppString%",{AA1F65C1-6B14-11d5-B70F-00055DF4E7AC},Topro.Files.App

[Topro.USBDCam.Interfaces]
AddInterface=%KSCATEGORY_CAPTURE%,GLOBAL,Topro.USBDCam.Interface

[Topro.USBDCam.NT.Interfaces]
AddInterface=%KSCATEGORY_CAPTURE%,GLOBAL,Topro.USBDCam.Interface

[Topro.USBDCam.XP.Interfaces]
AddInterface=%KSCATEGORY_CAPTURE%,GLOBAL,Topro.USBDCam.Interface

[Topro.USBDCam.Interface]
AddReg=Topro.USBDCam.Intf.AddReg

[Topro.USBDCam.Intf.AddReg]
HKR,,CLSID,,%ProxyVCap.CLSID%
HKR,,FriendlyName,,%USB\VID_06A2&PID_0001.DeviceDesc%
; HKR,,ExtensionDLL,,%Topro.ExtensionDLL%
HKR,PageAliases,"{71F96464-78F3-11d0-A18C-00A0C9118956}",1,a0,ff,7a,c9, d5,11, e1,64, 0xb7, 0xb1, 0x0, 0x50, 0xba, 0xf2, 0xc0, 0x73
HKR,PageAliases,"{71F96465-78F3-11d0-A18C-00A0C9118956}",1,a0,ff,7a,c9, d5,11, e1,64, 0xb7, 0xb1, 0x0, 0x50, 0xba, 0xf2, 0xc0, 0x73

[Topro.USBDCam.NT.Services]
AddService = DCamUSBTP10,0x00000002,Topro.USBDCam.ServiceInstall

[Topro.USBDCam.XP.Services]
AddService = DCamUSBTP10,0x00000002,Topro.USBDCam.ServiceInstall

[Topro.USBDCam.ServiceInstall]
DisplayName   = %USB\VID_06A2&PID_0001.DeviceDesc%
ServiceType   = %SERVICE_KERNEL_DRIVER%
StartType     = %SERVICE_DEMAND_START%
ErrorControl  = %SERVICE_ERROR_NORMAL%
ServiceBinary = %10%\System32\Drivers\TP6810.sys

[Topro.Files.Ext]
TP6810.SYS
CUSTPAGE10.AX

[Topro.Files.Dll]
CamLib10.Dll
;SetupExt.dll

[Topro.Files.TwainDS]
ToproDs10.ds

[Topro.Files.TwainEXE]
ToproUI10.exe
;tpsti10.exe
;amcap10.exe
CUSTPAGE10.AX

[Strings]

;----------------
; Non-Localizable
;----------------

; note: only register value is case sensitive, key is not.
ProxyVCap.CLSID="{17CCA71B-ECD7-11D0-B908-00A0C9223196}"
KSCATEGORY_CAPTURE="{65E8773D-8F56-11D0-A3B9-00A0C9223196}"
SERVICE_KERNEL_DRIVER=1
; PnP should use demand start
SERVICE_DEMAND_START=3
SERVICE_ERROR_NORMAL=1

; IHV's extension DLL
; Intel.ExtensionDLL = "???.dll"

;----------------
; Localizable
;----------------

ToproMfg="TP6810"
USB\VID_06A2&PID_0001.DeviceDesc="TP6810 Video Camera"
DiskNameString="TP6810 USB Video Camera Driver Disk"
StillImageDescString="TP6810 USB Video Camera Still Image USD"
CreateDeviceNameString="\\.\PCAMSTI"
OpenAppString="Open Application"
 